BasicTextUI.BasicCaret (Java SE 13 & JDK 13 )
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicTextUI, class: BasicCaret
Keywords: javax.swing.plaf.basic.BasicTextUI.BasicCaret class

Module java.desktop
Package javax.swing.plaf.basic

# Class BasicTextUI.BasicCaret

java.lang.Object
java.awt.geom.RectangularShape
java.awt.geom.Rectangle2D
java.awt.Rectangle
javax.swing.text.DefaultCaret
javax.swing.plaf.basic.BasicTextUI.BasicCaret

All Implemented Interfaces:
  `FocusListener`, `MouseListener`, `MouseMotionListener`, `Shape`, `Serializable`, `Cloneable`, `EventListener`, `UIResource`, `Caret`

Enclosing class:
  BasicTextUI

    public static class BasicTextUI.BasicCaret
    extends DefaultCaret
    implements UIResource

Default implementation of the interface `Caret`.

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.awt.geom.Rectangle2D

  `Rectangle2D.Double, Rectangle2D.Float`

- ## Field Summary

  ### Fields declared in class javax.swing.text.DefaultCaret

  `ALWAYS_UPDATE, changeEvent, listenerList, NEVER_UPDATE, UPDATE_WHEN_ON_EDT`

  ### Fields declared in class java.awt.Rectangle

  `height, width, x, y`

  ### Fields declared in class java.awt.geom.Rectangle2D

  `OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BasicCaret()` |

- ## Method Summary

  ### Methods declared in class javax.swing.text.DefaultCaret

  `addChangeListener, adjustVisibility, damage, deinstall, equals, fireStateChanged, focusGained, focusLost, getBlinkRate, getChangeListeners, getComponent, getDot, getDotBias, getListeners, getMagicCaretPosition, getMark, getMarkBias, getSelectionPainter, getUpdatePolicy, install, isActive, isSelectionVisible, isVisible, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, moveCaret, moveDot, moveDot, paint, positionCaret, removeChangeListener, repaint, setBlinkRate, setDot, setDot, setMagicCaretPosition, setSelectionVisible, setUpdatePolicy, setVisible`

  ### Methods declared in class java.awt.Rectangle

  `add, add, add, contains, contains, contains, contains, createIntersection, createUnion, getBounds, getBounds2D, getHeight, getLocation, getSize, getWidth, getX, getY, grow, inside, intersection, intersects, isEmpty, move, outcode, reshape, resize, setBounds, setBounds, setLocation, setLocation, setRect, setSize, setSize, toString, translate, union`

  ### Methods declared in class java.awt.geom.Rectangle2D

  `add, add, add, contains, contains, getPathIterator, getPathIterator, hashCode, intersect, intersects, intersectsLine, intersectsLine, outcode, setFrame, setRect, union`

  ### Methods declared in class java.awt.geom.RectangularShape

  `clone, contains, contains, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

  ### Methods declared in class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface java.awt.Shape

  `contains, contains, contains, contains, getPathIterator, getPathIterator, intersects, intersects`

- ## Constructor Details

  - ### BasicCaret

    public BasicCaret()